# This perl module contains an empty configuration as default
#
# Default Vendor Interface
#
#*******************************************************************************
# Licensed Materials - Property of IBM
#
# 5724-W86 5724-X63
#
# (C) Copyright IBM Corp. 2003, 2010. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#*******************************************************************************
#
package UserConfig;

# Company Name: 

@ISA = qw(Exporter);
@EXPORT = qw(postparser_config);

#use diagnostics;
use strict;
use Exporter ();

#-------------------------------------------------------------------------------
# Add ACCUMULATE rules
#-------------------------------------------------------------------------------
my @rules = (

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665798_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665798_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665798_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME DAY NETWORK_ID RESULT_TIME REGION_ID VMGWID GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665852_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665852_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665852_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME NETWORK_ID RESULT_TIME REGION_ID DAY GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665805_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665805_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665805_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME NETWORK_ID DAY RESULT_TIME REGION_ID VMGWID GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665841_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665841_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665841_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME NETWORK_ID RESULT_TIME REGION_ID DAY VMGWID GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665860_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665860_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665860_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME NETWORK_ID DAY RESULT_TIME REGION_ID GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665816_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665816_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665816_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME NETWORK_ID RESULT_TIME REGION_ID DAY VMGWID GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

{
    RULE_TYPE => 'ACCUMULATE',
    RULE_DESC => 'Aggregation of M100665842_AGGR',
    OUTPUT_BLOCK_NAME => 'M100665842_AGGR',
    INPUT_FILE_DESCRIPTION => ['^pmresult_100665842_.*-#-I.pif$'],
    COUNTERS_TO_SORT_ON => [qw(MGW)],
    NON_ADDITIVE_COUNTERS => [qw(STARTTIME NETWORK_ID RESULT_TIME REGION_ID DAY VMGWID GP)],
    REDUNDANT_DATA_COUNTERS => [],
    # Output PIF instead of LIF. Use COUNTER_NAME_MAPPING below instead to
    # support Huawei long name to short ID mapping
    PRODUCE_PIF => 'True',
    #OUTPUT_FORMAT => 'LIF_Writer',
},

#------------------------------------------------------------------------------[END]
# Disabled PIF_2_OUTPUT. Use COUNTER_NAME_MAPPING rule below to remap Huawei
# long counter names to short counter IDs and output the LIF file at the same
# time.
#{
#        RULE_TYPE                 => 'PIF_2_OUTPUT',
#        RULE_DESC                 => 'Output ALL LIF files',
#        INPUT_FILE_DESCRIPTION    => [
#                                         '^pmresult.*-#-I\.pif$'
#                                     ],
#        DEFAULT_NULL_VALUE        => '',
#        PRODUCE_PIF               => 0,
#        OUTPUT_FORMAT             => 'LIF_Writer',
#        REDUNDANT_HEADER_COUNTERS => [],
#        REDUNDANT_DATA_COUNTERS   => ['MG101053303','MG101053304','MG101053306',
#                                      'MG101053307','MG101053309','MG101053310',
#                                      'MG101053312','MG101053313','MG101053315',
#                                      'MG101053316','MG101053318','MG101053319',
#                                      'RESULT_TIME'],
#},

{
        RULE_TYPE               => 'COUNTER_NAME_MAPPING',
        RULE_DESC               => 'Counter name mapping',
        INPUT_FILE_DESCRIPTION  => [
            '^pmresult.*-#-I\.pif$',
            '^pmresult.*-#-I-#-M100665798_AGGR-#-A\.pif$',
            '^pmresult.*-#-I-#-M100665852_AGGR-#-A\.pif$',
            '^pmresult.*-#-I-#-M100665805_AGGR-#-A\.pif$',
            '^pmresult.*-#-I-#-M100665841_AGGR-#-A\.pif$',
            '^pmresult.*-#-I-#-M100665860_AGGR-#-A\.pif$',
            '^pmresult.*-#-I-#-M100665816_AGGR-#-A\.pif$',
            '^pmresult.*-#-I-#-M100665842_AGGR-#-A\.pif$',
        ],
        MAPPING_CSV_FILE        => './Huawei_MGW.csv',
        WHITESPACE_MODIFIER     => '_',
        CASE_SENSITIVITY        => '-1',
        PRODUCE_PIF             => '0',
        OUTPUT_FORMAT           => 'LIF_Writer',
        REDUNDANT_DATA_COUNTERS   => ['MG101053303','MG101053304','MG101053306',
                                      'MG101053307','MG101053309','MG101053310',
                                      'MG101053312','MG101053313','MG101053315',
                                      'MG101053316','MG101053318','MG101053319',
                                      'RESULT_TIME'],
},

#-------------------------------------------------------------------------------
);

sub postparser_config {
	return \@rules;
}

1;
